CfnRequestValidatorProps Struct
Properties for defining a CfnRequestValidator.
Example
ts
// The code below shows an example of how to instantiate this type.
// The values are placeholders you should change.
import { aws_apigateway as apigateway } from 'aws-cdk-lib';
const cfnRequestValidatorProps: apigateway.CfnRequestValidatorProps = {
restApiId: 'restApiId',
// the properties below are optional
name: 'name',
validateRequestBody: false,
validateRequestParameters: false,
};
Properties
The name of this RequestValidator.
restApiIdstring | IRestApiRefrest_api_idtyping.Union[str, IRestApiRef]restApiIdStringRestApiIdstringRestApiIdinterface{}required#The string identifier of the associated RestApi.
validateRequestBodyoptionalboolean | IResolvablevalidate_request_bodyoptionaltyping.Union[bool, IResolvable]validateRequestBodyoptionalBooleanValidateRequestBodyoptionalboolValidateRequestBodyoptionalinterface{}#A Boolean flag to indicate whether to validate a request body according to the configured Model schema.
validateRequestParametersoptionalboolean | IResolvablevalidate_request_parametersoptionaltyping.Union[bool, IResolvable]validateRequestParametersoptionalBooleanValidateRequestParametersoptionalboolValidateRequestParametersoptionalinterface{}#A Boolean flag to indicate whether to validate request parameters ( `true` ) or not ( `false` ).